import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class RenContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    renDarknodeRegistry({ address, network }: ContractOpts): import("./ethers").RenDarknodeRegistry;
}
export type { RenDarknodeRegistry } from './ethers';
